if (typeof bsp === "undefined") bsp = {};

/* ONBOARDING */
bsp.onboarding = {};
bsp.onboarding.data = {
	amount: 0,
	club: '',
	disclaimer_accepted: false,
	resources_by_mail: null,
	interest: '',
	wof_name: '',
	user_id: ((typeof tp.user_id !== 'undefined') ? tp.user_id : '')
};
bsp.onboarding.current_step = 1;
bsp.onboarding.origin = '';
bsp.onboarding.currency_selector = '<style>    .recurring_wrapper {     text-align: center;     margin: 20px 0;    }    .recurring_wrapper a {     text-decoration: none;     color: #333 !important;     font-weight: bold;    }    .recurring_wrapper a i {     position: relative;     bottom: -2px;            font-size: 1.2em;    }    .currencies_wrapper {     display: flex;     position: relative;     align-items: center;     justify-content: space-between;     border: 1px solid #ccc;     border-radius: 30px;     width: calc(90% - 32px);     max-width: 125px;     margin: 0 auto 20px auto;     padding: 7px 15px;     cursor: pointer;     color: #333;     z-index: 9;    }    .currencies_wrapper .label {     font-size: 14px;     width: calc(100% - 60px);    }    .currencies_wrapper > ul {     display: none;     position: absolute;     top: 34px;     left: 0;     width: calc(100% - 10px);     padding: 5px;     margin: 0;     border: 1px solid #ccc;     border-radius: 4px;     background: #fff;     font-size: 14px;     line-height: 1.4em;     list-style-type: none;    }    .currencies_wrapper > ul li a {     display: flex;     align-items: center;     justify-content: flex-start;     text-decoration: none;     color: #333 !important;     padding: 5px;     border-radius: 3px;     transition: all 0.25s ease;    }    .currencies_wrapper > ul li a:hover {     background: #e2e7ef;     transition: all 0.25s ease;    }    .currencies_wrapper > ul li a.selected {     background: #527ba9;     transition: all 0.25s ease;     color: #fff !important;           }    .currencies_wrapper > ul li a img {     display: block;      margin-right: 5px;    }    .currencies_wrapper img {     max-width: 30px;    }    .currencies_wrapper.show-dropdown > ul {     display: block;    }    .currencies_wrapper_bg {     position: fixed;     top: 0;     left: 0;     width: 100%;     height: 100%;     z-index: 1;    }    </style>    <div class="currencies_wrapper">     <div class="label">Currency</div>          <div class="selected-currency"><img src="https://d2urhn0mmik6is.cloudfront.net/site/donate/pure-gift/imgs/usflag.png" alt="USD" title="USD" /></div>     <i class="fa fa-caret-down" aria-hidden="true"></i>     <ul><li><a href="#" class="usd selected" data-currency="usd" data-currency-symbol="$" onclick="tp.selectCurrency(\'USD\', \'$\', bsp.onboarding.updateCurrencyUi(this)); return false;"><img src="https://d2urhn0mmik6is.cloudfront.net/site/donate/pure-gift/imgs/usflag.png" alt="USD" title="USD" /> United States</a></li><li><a href="#" class="cad" data-currency="cad" data-currency-symbol="CAD $" onclick="tp.selectCurrency(\'CAD\', \'CAD $\', bsp.onboarding.updateCurrencyUi(this)); return false;"><img src="https://d2urhn0mmik6is.cloudfront.net/site/donate/pure-gift/imgs/cadflag.png" alt="CAD" title="CAD" /> Canada</a></li><li><a href="#" class="gbp" data-currency="gbp" data-currency-symbol="&#163;" onclick="tp.selectCurrency(\'GBP\', \'&#163;\', bsp.onboarding.updateCurrencyUi(this)); return false;"><img src="https://d2urhn0mmik6is.cloudfront.net/site/_images/header/flag_uk.png" alt="GBP" title="GBP" /> UK (GBP)</a></li></ul>    </div>     <script type="text/javascript">    $(function() {     $(".currencies_wrapper").off("click").on("click", function() {      tp.toggleCurrencyDropdown(this);      return false;     });    });    </script>';

bsp.onboarding.show = function(settings) {
	if (typeof settings === "undefined") settings = {};
	if (typeof settings.title === "undefined") settings.title = "<h1><strong>Let's get started!</strong></h1>";
	if (typeof settings.subtitle === "undefined") settings.subtitle = "<h2>Please select a giving option:</h2>";
	if (typeof settings.origin !== "undefined") bsp.onboarding.origin = settings.origin;
	if (typeof settings.preselected_tier !== "undefined") bsp.onboarding.preselected_tier = settings.preselected_tier;
	
	var html = '<div class="bsp_onboarding_wrapper">' +
					'<div class="bsp_onboarding">' +
						'<a href="#" class="btn-close" onclick="bsp.onboarding.hide(); return false;"><i class="fa fa-times" aria-hidden="true"></i></a>' +
						'<div class="inner">' +
							'<!-- Step Nav -->' +
							'<div class="step_nav">' +
								'<a href="#" class="active" id="bsp_stepnav1"></a>' +
								'<a href="#" id="bsp_stepnav2"></a>' +
								'<a href="#" id="bsp_stepnav3"></a>' +
								'<a href="#" id="bsp_stepnav4"></a>' +
							'</div>' +
							'<!-- Step 1 -->' +
							'<div class="step" id="bsp_step1">' +
								'<div class="title">' +
									settings.title + 
									settings.subtitle +
								'</div>' +
								'<div class="step_content">' +
									'<div class="bsp_options">' +
										'<div class="bsp_opt bsp_opt1" data-club="bsp">' +
											'<i class="fa fa-check" aria-hidden="true"></i>' +
											'<a href="#">' +
												'<h2>Bible Strong Partner</h2>' +
												'<p>With Your gifts of <span class="nowrap"><span class="currency-symbol">' + tp.currency_symbol + '</span>25 a month</span> or more</p>' +
												'<span class="btn-select">Select</span>' +
											'</a>' +
											'<a href="#" class="more-info" onclick="bsp.onboarding.goToMoreInfo(this); return false;">More info</a>' +
										'</div>' +
										'<div class="bsp_opt bsp_opt2" data-club="pc">' +
											'<i class="fa fa-check" aria-hidden="true"></i>' +
											'<a href="#">' +
												'<h2>President\'s Circle</h2>' +
												'<p>With Your gifts of <span class="nowrap"><span class="currency-symbol">' + tp.currency_symbol + '</span>1,500 a year</span> or more</p>' +
												'<span class="btn-select">Select</span>' +
											'</a>' +
											'<a href="#" class="more-info" onclick="bsp.onboarding.goToMoreInfo(this); return false;">More info</a>' +
										'</div>' +
										'<div class="bsp_opt bsp_opt3" data-club="vc">' +
											'<i class="fa fa-check" aria-hidden="true"></i>' +
											'<a href="#">' +
												'<h2>Vision Circle</h2>' +
												'<p>With Your gifts of <span class="nowrap"><span class="currency-symbol">' + tp.currency_symbol + '</span>5,000 a year</span> or more</p>' +
												'<span class="btn-select">Select</span>' +
											'</a>' +
											'<a href="#" class="more-info" onclick="bsp.onboarding.goToMoreInfo(this); return false;">More info</a>' +
										'</div>' +
									'</div>' +
									'<div class="currency-selector-wrapper">' + 
										'<div class="inner">' +
											bsp.onboarding.currency_selector +
										'</div>' +
									'</div>' + 
								'</div>' +
								'<div class="btns">' +
									'<a href="#" class="btn-continue">Continue</a>' +
								'</div>' +	
							'</div>' +
							'<!-- Step 2 -->' +					
							'<div class="step" id="bsp_step2">' +
								'{step2}' +
							'</div>' +
							'<!-- Step 3 -->' +
							'<div class="step" id="bsp_step3">' +
								'{step3}' +
							'</div>' +
							'<!-- Step 4 -->' +
							'<div class="step" id="bsp_step4">' +
								'{step4}' +
							'</div>' +
							'<!-- Step 5 (PC and VC only) -->' +
							'<div class="step" id="bsp_step5">' +
								'{step5}' +
							'</div>' +
						'</div>' +
					'</div>' +
					'<div class="bsp_onboarding_bg"></div>' +
				'</div>';
	
	html = html
			.replace('{step2}', bsp.onboarding.buildStep(2))
			.replace('{step3}', bsp.onboarding.buildStep(3))
			.replace('{step4}', bsp.onboarding.buildStep(4))
			.replace('{step5}', bsp.onboarding.buildStep(5));
	
	var is_visible = (( $('.bsp_onboarding_wrapper').length>0 ) ? true : false);
	if (!is_visible) {
		$('body').prepend(html);
		setTimeout(function() {
			$('.bsp_onboarding_wrapper').addClass('visible');
		}, 50);
	}
	
	bsp.onboarding.initListeners();
	if(settings.preselected_tier){
		console.log($('.bsp_onboarding .bsp_opt' + settings.preselected_tier));
		$('.bsp_onboarding .bsp_opt' + settings.preselected_tier + ' a:not(.more-info)').trigger('click');
	}
}

bsp.onboarding.goToMoreInfo = function(elem) {
	var club = $(elem).closest(".bsp_opt").attr("data-club");
	var club_js = club;
	switch(club){
		case 'pc':
			club = 'presidents_circle';
			club_js = 'pres';
			break;
		case 'vc':
			club = 'vision_circle';
			club_js = 'vis';
			break;
	}
	if (typeof bsp.activateBSPSection !== "undefined") {
		bsp.activateBSPSection(club_js);
		bsp.onboarding.hide();
	}
	else {
		window.open('/bsp?goto=' + club, '_blank');
	}	
}

bsp.onboarding.initListeners = function() {

	//step 1
	$('.bsp_onboarding .bsp_opt a:not(.more-info)').off('click').on('click', function() {
		var parent = $(this).closest('.bsp_opt');
	
		var club = $(parent).attr('data-club');
		bsp.onboarding.data.club = club;
		bsp.onboarding.buildStep(2);
		
		$('.bsp_opt').removeClass('selected');
		$(parent).addClass('selected');
		
		//update button text 
		$('.bsp_opt .btn-select').html('Select');
		$(this).find('.btn-select').html('Selected');
		
		scrollToBottom($(this));
		
		return false;
	});

	//step 2
	$('.bsp_onboarding .donate_box').off('click').on('click', function() {
		$('.bsp_onboarding .donate_box').removeClass('selected');
		$(this).addClass('selected');

		//get data amount 
		var amount = $(this).attr('data-amount');
		
		//check for custom amount 
		if (amount=='') {
			$(this).find('input').focus();
			amount = bsp.onboarding.filterAmount($(this).find('input').val());
		}

		//update disclaimer 
		bsp.onboarding.updateDisclaimer(amount);
		
		//update data
		bsp.onboarding.data.amount = amount;
		
		scrollToBottom($(this));
		
		return false;
	});
	$('.bsp_onboarding .donate_box input').off('keyup').on('keyup', function(e) {
		var amount = bsp.onboarding.filterAmount($(this).val());
		$(this).val(amount);
		bsp.onboarding.data.amount = amount;
		bsp.onboarding.updateDisclaimer();
		
		scrollToBottom($(this));
	});
	
	//step 3
	$('.bsp_onboarding .mail_opts a').off('click').on('click', function() {
		var opt = $(this).attr('data-opt');
		switch(opt) {
			case 'true':
				bsp.onboarding.data.resources_by_mail = true;
				break;
			case 'false':
			default:
				bsp.onboarding.data.resources_by_mail = false;
				break;
		}
		
		$('.mail_opts a .fa').removeClass('fa-check-circle').addClass('fa-circle-o');
		$(this).find('.fa').removeClass('fa-circle-o').addClass('fa-check-circle');
		
		$('.mail_opts a').addClass('not-selected');
		$(this).removeClass('not-selected');
		
		scrollToBottom($(this));
                return false;
	});
	
	//step 4 
	$('.bsp_onboarding .interest_opts a').off('click').on('click', function() {
		var opt = $(this).attr('data-opt');
		bsp.onboarding.data.interest = opt;
		
		$('.interest_opts a .icon').removeClass('fa-check-circle').addClass('fa-circle-o');
		$(this).find('.icon').removeClass('fa-circle-o').addClass('fa-check-circle');
		
		$('.interest_opts a').addClass('not-selected');
		$(this).removeClass('not-selected');
		
		scrollToBottom($(this));
                return false;
	});
	
	//step 5 
	$('.bsp_onboarding .wof_opts a').off('click').on('click', function() {
		var opt = $(this).attr('data-opt');
		
		$('.wof_opts a .icon').removeClass('fa-check-circle').addClass('fa-circle-o');
		$(this).find('.icon').removeClass('fa-circle-o').addClass('fa-check-circle');
		
		$('.wof_opts a').addClass('not-selected').removeClass("selected");
		$(this).removeClass('not-selected').addClass("selected");
		
		switch(opt) {
			case "yes":
				$('#input_wof_name').focus();
				break;
			default:
				// $('#input_wof_name').slideUp(200);
				break;
		}
		
		$("#input_wof_name").on("blur", function() {
			var name = $(this).val();
			name = name.replace(/[^a-z0-9. ]/gmi, " ").replace(/\s+/g, " ").trim();
			bsp.onboarding.data.wof_name = name;
		});
		
		scrollToBottom($(this));
		return false;
	});
	
	//step nav 
	$('.bsp_onboarding .step_nav a').off('click').on('click', function() {
		var is_active = (( $(this).hasClass('active') ) ? true : false);
		var step = $(this).attr('id').replace('bsp_stepnav', '');
		if (is_active) {
			bsp.onboarding.showStep(step);
		}
		
		scrollToTop();
		
		return false;
	});

	$('.bsp_onboarding .btn-continue').off('click').on('click', function() {
		var step = parseInt($(this).closest('.step').attr('id').replace('bsp_step', ''));
		var next_step = (step+1);
		var total_steps = $('.bsp_onboarding .step').length;
			if (bsp.onboarding.data.club != 'pc' && bsp.onboarding.data.club != 'vc') {
				total_steps = (total_steps - 1);
				if ($("#bsp_stepnav5").length>0) {
					$("#bsp_stepnav5").remove();
				}
				$("#bsp_step4").find(".btn-continue").text("Continue to Payment");
			}
			else {
				if ($("#bsp_stepnav5").length==0) {
					$(".step_nav").append('<a href="#" onclick="return false;" id="bsp_stepnav5"></a>');
					
				}
				$("#bsp_step4").find(".btn-continue").text("Continue");
			}
		bsp.onboarding.validateStep(step, {
			onsuccess: function(data) {
				if (step==total_steps) {
					var product_code = '';
					if (bsp.onboarding.data.resources_by_mail) {
						var dt = new Date(2024, 1, 24);						var month = (dt.getMonth()+1).toString();
						month = ((month.length < 2) ? '0' + month : month);
						var year = dt.getFullYear().toString().substr(-2);
					
						product_code = 'SGR' + month + year;
						
						//exceptions
						switch(product_code) {
							case 'SGR0620':
								product_code = 'SGR0620B';
								break;
							case 'SGR0720':
								product_code = 'SGR0720B';
								break;
							case 'SGR1020':
								product_code = 'SGR1020B';
								break;
							case 'SGR1021':
								product_code = 'SGR1021B';
								break;
							case 'SGR0522':
								product_code = 'SGR0522B';
								break;
						}
					}
					else {
						switch(bsp.onboarding.data.club.toLowerCase()) {
							case "bsp":
								product_code = 'BSPXMLTR';
								break;
							case "pc":
								product_code = 'PCXMLTR';
								break;
							case "vc":
								product_code = 'VCXMLTR';
								break;
						}
					}
					// Need to add view_item code here
					//log bsp signup to cookie 
					$.post('/', {action:'/process/log_bsp_signup.php', data:bsp.onboarding.data});
					
					tp.clearCart(function() {
						tp.addToCart(product_code, 1, {
							custom_price: bsp.onboarding.data.amount,
							replace_qty: true,
							callback: function() {
								var url = '/checkout?c=' + tp.currency.toUpperCase() + ((typeof bsp.onboarding.origin !== "undefined" && bsp.onboarding.origin != "") ? '&origin=' + bsp.onboarding.origin : '');
								
								var hostname = location.hostname;
								
								switch(tp.currency.toLowerCase()) {
									default:
									case 'usd':
										if (location.hostname.indexOf("davidjeremiah.org")==-1) {
											tp.clearCartCookie({clear_tid:"true"});
											url = 'https://www.davidjeremiah.org' + url + ((url.indexOf("?")==-1) ? '?' : '&') + 'cart=Nzc0NzMxMDMz&session=' + tp.tid_id;
										}
										break;
									case 'cad':
										if (location.hostname.indexOf("davidjeremiah.ca")==-1) {
											tp.clearCartCookie({clear_tid:"true"});
											url = 'https://www.davidjeremiah.ca' + url + ((url.indexOf("?")==-1) ? '?' : '&') + 'cart=Nzc0NzMxMDMz&session=' + tp.tid_id;
										}
										break;
									case 'gbp':
										if (location.hostname.indexOf("davidjeremiah.co.uk")==-1) {
											tp.clearCartCookie({clear_tid:"true"});
											url = 'https://www.davidjeremiah.co.uk' + url + ((url.indexOf("?")==-1) ? '?' : '&') + 'cart=Nzc0NzMxMDMz&session=' + tp.tid_id;
										}
										break;
								}								

								if (typeof fbq !== "undefined") {
									fbq('track', 'Subscribe', {value: bsp.onboarding.data.amount, currency: tp.currency.toUpperCase(), predicted_ltv: '0.00'});								
								}
								
								window.location.href = url;
							}
						});
					});
					
				}
				else {
					bsp.onboarding.showStep(next_step);
				}
			},
			onerror: function(msg) {
				bsp.onboarding.showError(msg);
			}
		});
		return false;
	});		
	
	$('.bsp_onboarding .btn-back').off('click').on('click', function() {
		var step = parseInt($(this).closest('.step').attr('id').replace('bsp_step', ''));
		var prev_step = (step - 1);
		bsp.onboarding.showStep(prev_step, this);
		return false;
	});
	
	function scrollToTop(){
		$('.bsp_onboarding_wrapper').animate({scrollTop: 0}, 400);
	}
	function scrollToBottom(elem){
		var step = elem.closest('.step');
		var windowHeight = $(window).height();
		var scrollTo = step.outerHeight() - windowHeight;
		$('.bsp_onboarding_wrapper').animate({scrollTop: scrollTo}, 400);
	}
}

bsp.onboarding.filterAmount = function(amount) {
	var output = amount.toString();
	output = output.replace(/[^0-9.,]/g, '');
	return output;
}

bsp.onboarding.updateDisclaimer = function(amount) {
	if (typeof amount === 'undefined') amount = bsp.onboarding.data.amount;
	if (amount!='') {
		$('.disclaimer-amount').html(' at $' + amount + ' per month');
	}
	else {
		$('.disclaimer-amount').html('');
	}
}

bsp.onboarding.validateStep = function(step, settings) {
	step = parseInt(step);
	if (typeof settings === 'undefined') settings = {};
	if (typeof settings.onsuccess === 'undefined') settings.onsuccess = function(){
		bsp.onboarding.showStep( (step+1) );
	};
	if (typeof settings.onerror === 'undefined') settings.onerror = function(msg) {
		alert(msg);
	}
	
	var o = {};
		o.success = false;
		o.error_msg = '';
	
	switch(step) {
		case 1:
			if (bsp.onboarding.data.club == '') {
				o.error_msg = 'Please select a giving option.';
			}
			break;
		case 2:
			var min_amount = 25;
			var amount = parseFloat(bsp.onboarding.data.amount);
			switch(bsp.onboarding.data.club) {
				case 'pc':
					min_amount = 125;
					break;
				case 'vc':
					min_amount = 417;
					break;
			}
			if (bsp.onboarding.data.amount == '') {
				o.error_msg += 'select or enter a donation amount';
			}
			else if (amount < min_amount) {
				o.error_msg += 'enter a valid donation amount';
			}
			
			if (!bsp.onboarding.data.disclaimer_accepted) {
				o.error_msg += ((o.error_msg!='') ? ' and ' : '') + 'confirm Auto-Giving';
			}
			
			if (o.error_msg!='') {
				o.error_msg = 'Please ' + o.error_msg + '.';
			}	
			break;
		case 3:
			if (bsp.onboarding.data.resources_by_mail === null) {
				o.error_msg = 'Please select an option.';
			}
			break;
		case 4:
			if (bsp.onboarding.data.interest == '') {
				o.error_msg = 'Please select an option.';
			}
			break;
		case 5:
			var wof_include_name = null;
			var wof_name = '';
			var selection_made = false;
			$('.wof_opts a').each(function() {
				var val = $(this).attr("data-opt");
				var selected = (( $(this).hasClass("selected") ) ? true : false);
				
				if (val=="yes" && selected) {
					wof_include_name = true;
					wof_name = $("#input_wof_name").val().trim();
				}
				
				if (selected) {
					selection_made = true;
				}
			});
			
			if (!selection_made) {
				o.error_msg = 'Please select an option.';
			}
			else if (wof_include_name && wof_name == '') {
				o.error_msg = 'Please include a name to be inscribed.';
			}			
			break;
	}
	
	if (o.error_msg=='') {
		o.success = true;
		settings.onsuccess(o);
	}
	else {
		settings.onerror(o.error_msg);
	}
	
	return o;
}

bsp.onboarding.showError = function(msg) {
	alert(msg);
}

bsp.onboarding.buildStep = function(step) {
	step = parseInt(step);
	var html = '';
	
	switch(step) {
		case 2:
			var club = bsp.onboarding.data.club;
			var h1 = 'Become a <strong><em>Bible Strong Partner</em></strong>';
			var matrix = [25,50];
			switch(club) {
				case 'pc':
					h1 = 'Become a <strong>President\'s Circle</strong> Ministry Partner';
					matrix = [125,250];
					break;
				case 'vc':
					h1 = 'Become a <strong>Vision Circle</strong> Ministry Partner';
					matrix = [417,500];
					break;
			}
			
			html = '<div class="title">' +
						'<h1>{h1}</h1>' +
						'<h2>Please select a donation amount</h2>' +
					'</div>' +
					'<div class="step_content">' +
						'<div class="donate_boxes">' +
							'<div class="donate_box" data-amount="{amount1}">' +
								'<i class="fa fa-check" aria-hidden="true"></i>' +
								'<div class="inner"><span><span class="currency-symbol">' + tp.currency_symbol + '</span>{amount1} monthly</span></div>' +
							'</div>' +
							'<div class="donate_box" data-amount="{amount2}">' +
								'<i class="fa fa-check" aria-hidden="true"></i>' +
								'<div class="inner"><span><span class="currency-symbol">' + tp.currency_symbol + '</span>{amount2} monthly</span></div>' +
							'</div>' +
							'<div class="donate_box" data-amount="">' +
								'<i class="fa fa-check" aria-hidden="true"></i>' +
								'<div class="inner"><span><span class="currency-symbol">' + tp.currency_symbol + '</span></span>' +
									'<input id="bsp_custom_donate" name="bsp_custom_donate" type="text"> <span>monthly</span>' +
								'</div>' +
							'</div>' +
						'</div>' +
						'<div class="disclaimer">' +
							'<a href="#" class="disclaimer_a" onclick="bsp.onboarding.toggleDisclaimer(this); return false;"><i class="fa fa-square-o" aria-hidden="true"></i> I understand that I am joining Turning Point\'s <strong>Auto-Giving Program</strong><span class="disclaimer-amount"></span>.</a>' +
							'<a href="#" class="disclaimer_info" onclick="alert(\'<strong>Auto-Giving Program</strong><br />Making a donation on this form enters you into our monthly Auto-Giving Program.  If you would like to join without utilizing the Auto-Giving Program, or if you are already a member and would like to make an additional contribution, please call us at: 800-580-0863 (Mon - Fri, 6:00 - 3:30 PST)\'); return false;"><i class="fa fa-question-circle" aria-hidden="true"></i></a>' +
						'</div>' +
					'</div>' +
					'<div class="btns">' +
						'<a href="#" class="btn-back"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</a>' +
						'<a href="#" class="btn-continue">Continue</a>' +
					'</div>';
			
			html = html.replace('{h1}', h1)
					   .replace(/{amount1}/g, matrix[0])
					   .replace(/{amount2}/g, matrix[1]);
			break;
		
		case 3:
			html = '<div class="title">' +
						'<h1>Would you like to receive monthly resources <strong>by mail</strong>?</h1>' +
						'<h2>(Either way, you\'ll have <strong>unlimited access</strong> to your online Living Library)</h2>' +
					'</div>' +
					'<div class="step_content">' +
						'<div class="mail_opts">' +
							'<a href="#" data-opt="true">' +
								'<i class="fa fa-circle-o" aria-hidden="true"></i>' +
								'<span class="text">' +
									'<h2>Yes, please send me resources</h2>' +
									'<p><em>Encouraging Words for a Discouraging World</em>, a monthly ministry resource & study guide, and <em>Turning Points</em> monthly devotional magazine.</p>' +
								'</span>' +
							'</a>' +
							'<a href="#" data-opt="false">' +
								'<i class="fa fa-circle-o" aria-hidden="true"></i>' +
								'<span class="text">' +
									'<h2>No, thanks</h2>' +
									'<p>Please don\'t send me any monthly resources.  Instead, apply my entire donation to the needs of the ministry.</p>' +
								'</span>' +
							'</a>' +
						'</div>' +
					'</div>' +					
					'<div class="btns">' +
						'<a href="#" class="btn-back"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</a>' +
						'<a href="#" class="btn-continue">Continue</a>' +
					'</div>';
			break;
		case 4:
			html = '<div class="title">' +
						'<h1>What <strong>interests</strong> you most?</h1>' +
						'<h2>(We want to get to know you!)</h2>' +
					'</div>' +
					'<div class="step_content">' +
						'<div class="interest_opts">' +
							'<a href="#" data-opt="biblestudy">' +
								'<i class="fa fa-circle-o icon" aria-hidden="true"></i>' +
								'<span class="text">' +
									'<i class="fa fa-book" aria-hidden="true"></i>' +
									'<h2>Bible Study Resources</h2>' +
									'<p>I\'m interested in resources that help me, my small group, my church, or my family study the Bible.</p>' +
								'</span>' +
							'</a>' +
							'<a href="#" data-opt="community">' +
								'<i class="fa fa-circle-o icon" aria-hidden="true"></i>' +
								'<span class="text">' +
									'<i class="fa fa-users" aria-hidden="true"></i>' +
									'<h2>Community</h2>' +
									'<p>I\'m interested in connecting with other like-minded believers, both on social media and face-to-face.</p>' +
								'</span>' +
							'</a>' +			
						'</div>' +
					'</div>' +
					'<div class="btns">' +
						'<a href="#" class="btn-back"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</a>' +
						'<a href="#" class="btn-continue bsp-btn-payment-continue">Continue to Payment</a>' +
					'</div>';
			break;
		case 5:
			html = '<div class="title">' +
						'<h1>Would you like us to <strong>inscribe your name</strong> on Turning Point\'s <em>Wall of Faith</em>?</h1>' +
						'<p>Located at our headquarters, it serves as a reminder to Dr. and Mrs. Jeremiah that you are standing with Turning Point.</p>' +
					'</div>' +
					'<div class="step_content">' +
						'<div class="wof_opts">' +
							'<a href="#" data-opt="yes">' +
								'<i class="fa fa-circle-o icon" aria-hidden="true"></i>' +
								'<span class="text">' +
									'<h2>Yes, please!</h2>' +
									'<input type="text" id="input_wof_name" placeholder="Name to be inscribed" />' +
								'</span>' +
							'</a>' +
							'<a href="#" data-opt="no">' +
								'<i class="fa fa-circle-o icon" aria-hidden="true"></i>' +
								'<span class="text">' +
									'<h2>No, thanks</h2>' +
									'<p>Please do not publish my name on the <em>Wall of Faith</em>, I wish to remain anonymous.</p>' +
								'</span>' +
							'</a>' +			
						'</div>' +
					'</div>' +
					'<div class="btns">' +
						'<a href="#" class="btn-back"><i class="fa fa-arrow-left" aria-hidden="true"></i> Back</a>' +
						'<a href="#" class="btn-continue bsp-btn-payment-continue">Continue to Payment</a>' +
					'</div>';		
			break;
	}

	if (html!='') {
		$('#bsp_step' + step).html(html);
		bsp.onboarding.initListeners();
	}
	
	return html;
	
}

bsp.onboarding.showStep = function(step, calling_elem) {
		step = (parseInt(step) - 1);
	var margin_left = (step * -100);
	$('.bsp_onboarding > .inner').css({'margin-left':margin_left+'vw'});
	
	//update step nav 
	var num_steps = $('.bsp_onboarding .step').length;
	var i = 1;
	while (i <= num_steps) {
		if (i <= step) {
			$('#bsp_stepnav' + (i+1)).addClass('active');
		}
		else {
			$('#bsp_stepnav' + (i+1)).removeClass('active');
		}
		i++;
	}
	
	//scroll to top
	$('.bsp_onboarding_wrapper').animate({scrollTop: 0}, 400);
}

bsp.onboarding.toggleDisclaimer = function(elem) {
	var is_selected = (( $(elem).find('.fa').hasClass('fa-check-square') ) ? true : false);
	if (!is_selected) {
		$(elem).find('.fa').removeClass('.fa-square-o').addClass('fa-check-square');
		bsp.onboarding.data.disclaimer_accepted = true;
	}
	else {
		$(elem).find('.fa').addClass('.fa-square-o').removeClass('fa-check-square');
		bsp.onboarding.data.disclaimer_accepted = false;
	}
}

bsp.onboarding.hide = function() {
	$('.bsp_onboarding_wrapper').removeClass('visible');
	setTimeout(function() {
		$('.bsp_onboarding_wrapper').remove();
	}, 250);
}

bsp.onboarding.updateCurrencyUi = function(elem) {
	var currency = $(elem).attr("data-currency");
	if (typeof currency === "undefined") currency = tp.currency;
	var currency_symbol = "$";
	
	switch(currency.toLowerCase()) {
		case "usd":
			currency_symbol = "$";
			break;
		case "cad":
			currency_symbol = "CAD $";
			break;
		case "gbp":
			currency_symbol = "&#163;";
			break;
	}
	
	$('.currency-symbol').html(currency_symbol);
}

/* MEMBERSHIP CHECK */
bsp.membercheck = {};
bsp.membercheck.settings = {
	hide_btns: false,
	sync_account: false,
};
bsp.membercheck.show = function(settings) {
	if(typeof settings === 'undefined') settings = {};
	if(typeof settings.hide_btns === 'undefined') settings.hide_btns = false;
	if(typeof settings.sync_account === 'undefined') settings.sync_account = false;
	bsp.membercheck.settings = settings;
	var classNames = ['bsp-membercheck'];
	if(settings.hide_btns) classNames.push('hide-btns');

	var html = '' +
		'<div class="' + classNames.join(' ') + '">' +
			'<div class="inner">' +
				'<fieldset class="box">' +
					'<a href="#" class="btn-membercheck-close" onclick="bsp.membercheck.hide(); return false;"></a>' +				
					'<legend class="title">' +
						'<h1><span>Welcome!</span></h1>' +
					'</legend>' +					
					'<div class="box-inner">' +
						'<div class="cols">' +
							'<div class="col1">' +
								'<div class="box-login">' +
									'<p>Already have an online account?</p>' +
									'<a href="/login?origin=bsp" class="btn-membercheck-login">Login</a>' +
								'</div>' +
								'<div class="box-signup">' +
									'<p>Need to create an online account?</p>' +
									'<a href="/create-account?origin=bsp" class="btn-membercheck-signup">Create Account</a>' +
								'</div>' +
							'</div>' +
							'<div class="col2">' +
								'<p><strong>Not sure</strong> if you have an online <em>Bible Strong Partner</em> account?  Enter the email address you submitted during <em>Bible Strong Partnership</em> signup and we will confirm your online status.</p>' +
								'<input type="email" class="input-membercheck-email desktop-only" placeholder="Email address used during partnership signup" />' +
								'<input type="email" class="input-membercheck-email mobile-only" placeholder="Enter your email address" />' +
								'<a href="#" class="btn-membercheck-status" onclick="bsp.membercheck.submitEmail(); return false;">Check Status</a>' +
								'<div class="msg"></div>' +
							'</div>' +
						'</div>' +
					'</div>' +
				'</fieldset>' +
			'</div>' +
		'</div>	' +
	'';
	
	$('body').append(html);
	
	setTimeout(function() {
		$('.bsp-membercheck > .inner > .box').addClass('visible');
	}, 100);
	
	$('.input-membercheck-email').off('keyup').on('keyup', function(e) {
		if (e.keyCode==13) {
			bsp.membercheck.submitEmail();
			return false;
		}
	});
}

bsp.membercheck.hide = function() {
	$('.bsp-membercheck > .inner > .box').removeClass('visible');
	
	setTimeout(function() {
		$('.bsp-membercheck').fadeOut(200, function() {
			$(this).remove();
		});
	}, 100);
	
	$('.input-membercheck-email').off('keyup');
}

bsp.membercheck.submit_in_progress = false;
bsp.membercheck.submitEmail = function() {
	if (bsp.membercheck.submit_in_progress) return;
	bsp.membercheck.submit_in_progress = true;
	
	$('.bsp-membercheck .msg').stop().slideUp(200);
	$('.input-membercheck-email').blur();
	
	var email = $('.input-membercheck-email.desktop-only').val();
	if ( $('.input-membercheck-email.desktop-only').css("display")=='none' ) {
		email = $('.input-membercheck-email.mobile-only').val();
	}
	
	var o = {};
		o.action = '/process/check_bsp_email.php';
		o.email = email.trim();
		o.sync_account = bsp.membercheck.settings.sync_account;
		
	//check for errors 
	if (!tp.isEmailValid(o.email)) {
		bsp.membercheck.submit_in_progress = false;
		alert("Please enter a valid email address.");
		return;
	}

	$.post('/', o, function(data) {
		bsp.membercheck.submit_in_progress = false;
		if (data.success) {
			var msg = '';
			if (data.status.account_exists) {
				if (data.status.is_club_participant) {
					msg = '<p>Your online account already exists, and you have full access to your <em>Bible Strong Partnership</em> online benefits! <a href="/login?origin=bsp&k=' + encodeURIComponent(data.status.k) + '">Login &#187;</a></p>';
				}
				else {
					msg = '<p>Your online account exists, but it does not have full access to <em>Bible Strong Partnership</em> online benefits.</p><p>If you recently signed up to become a <em>Bible Strong Partner</em>, it can take up to 24 hours for your online account to reflect your signup.</p><p>If you think this is a mistake on our part, please <a href="/about/contact-us" target="_blank">contact us</a> and we\'ll be happy to assist you!</p>';
				}
			}
			else {
				msg = '<p>We\'re sorry, no online account exists for ' + o.email + '.</p>';
				if(bsp.membercheck.settings.hide_btns){
					msg += '' +
					'<div class="box-signup">' +
						'<a href="/create-account?origin=bsp&u=' + encodeURIComponent(btoa(JSON.stringify({email: o.email}))) + '&is_bsp=true" class="btn-membercheck-signup">Create Account</a>' +
					'</div>';
				}
			}
			
			$('.bsp-membercheck .msg').html(msg).slideDown(200);
		}
		else {
			alert(data.error);
		}
	});
}